OpenVDB 7.0.0

Public Types | List of all members
RootNode< ChildType >::ValueConverter< OtherValueType > Struct Template Reference

ValueConverter<T>::Type is the type of a RootNode having the same child hierarchy as this node but a different value type, T. More...

`#include <RootNode.h>`

## Public Types
using | Type = RootNode< typename ChildType::template ValueConverter< OtherValueType >::Type >

## Detailed Description

### template<typename ChildType>
template<typename OtherValueType>
struct openvdb::v7_0::tree::RootNode< ChildType >::ValueConverter< OtherValueType >

ValueConverter<T>::Type is the type of a RootNode having the same child hierarchy as this node but a different value type, T.

## Member Typedef Documentation

## ◆ Type

using Type = RootNode<typename ChildType::template ValueConverter<OtherValueType>::Type>

The documentation for this struct was generated from the following file:

- RootNode.h